import request from '@/utils/request'

// 查询成绩导入文件列表
export function listMxjbSelectedScoreImport(query) {
  return request({
    url: '/front/selected/scoreImport/list',
    method: 'get',
    params: query
  })
}

// 查询成绩导入文件详细
export function getMxjbSelectedScoreImport(importId) {
  return request({
    url: '/front/selected/scoreImport/' + importId,
    method: 'get'
  })
}

// 新增成绩导入文件
export function addMxjbSelectedScoreImport(data) {
  return request({
    url: '/front/selected/scoreImport',
    method: 'post',
    data: data
  })
}

// 修改成绩导入文件
export function updateMxjbSelectedScoreImport(data) {
  return request({
    url: '/front/selected/scoreImport',
    method: 'put',
    data: data
  })
}

// 删除成绩导入文件
export function delMxjbSelectedScoreImport(importId) {
  return request({
    url: '/front/selected/scoreImport/' + importId,
    method: 'delete'
  })
}

// 导出成绩导入文件
export function exportMxjbSelectedScoreImport(query) {
  return request({
    url: '/front/selected/scoreImport/export',
    method: 'get',
    params: query
  })
}
